package document

#######################################################################
# macros set from within the server
#######################################################################

_classificationlinks_ {}
_imagethispage_ {}
_httpprevarrow_ {}
_httpnextarrow_ {}

#######################################################################
# page content
#######################################################################

_pagetitle_ {_collectionname_}

_content_ {
<center>
_navigationbar_
<p>
_classificationlinks_
</center>
}

#######################################################################
# navigation arrows
#
#######################################################################

_navarrows_ {<center>
<table width=_pagewidth_ cellpadding=0 cellspacing=0 border=0>
<tr><td align=left valign=top>
_prevarrow_
</td><td align=right valign=top>
_nextarrow_
</td></tr></table>
</center>
}

_prevarrow_ {_If_(_httpprevarrow_,<a href="_httpprevarrow_">_iconprev_</a>)}
_nextarrow_ {_If_(_httpnextarrow_,<a href="_httpnextarrow_">_iconnext_</a>)}

_navarrows_ [version=text] {<p>
_prevarrow_<br>
_nextarrow_
}

#######################################################################
# the goto form
#######################################################################

_gotoform_ {
<form name="GotoForm" method="get" action="_gwcgi_">
<input type=hidden name="e" value="_compressedoptions_">
<input type=hidden name="d" value="_cgiargd_">
<input type=hidden name="cl" value="_cgiargcl_">
<input type="submit" value="go to page">
<input type="text" name="gp" size="3" maxlength="4">
</form>
}

#######################################################################
# images
#######################################################################

# title images - there should be one of these for each classification
# supported by this receptionist

_iconTitlepage_ {<img src="_httpiconhtitle_" width=_widthhtitle_
height=_heighthtitle_}
_iconTitlepage_ [version=text] {<h2>_texticonhtitle_</h2>}

_iconCreatorpage_ {<img src="_httpiconhauth_" width=_widthhauth_
height=_heighthauth_}
_iconCreatorpage_ [version=text] {<h2>_texticonhauth_</h2>}

_iconSubjectpage_ {<img src="_httpiconhsubj_" width=_widthhsubj_
height=_heighthsubj_}
_iconSubjectpage_ [version=text] {<h2>_texticonhsubj_</h2>}

_iconSeriespage_ {<img src="_httpiconhser_" width=_widthhser_
height=_heighthser_}
_iconSeriespage_ [version=text] {<h2>_texticonhser_</h2>}

_iconDatepage_ {<img src="_httpiconhdate_" width=_widthhdate_
height=_heighthdate_}
_iconDatepage_ [version=text] {<h2>_texticonhdate_</h2>}

_iconHowtopage_ {<img src="_httpiconhhow_" width=_widthhhow_
height=_heighthhow_}
_iconHowtopage_ [version=text] {<h2>_texticonhhow_</h2>}

_iconOrganizationpage_ {<img src="_httpiconhorg_" width=_widthhorg_
height=_heighthorg_}
_iconOrganizationpage_ [version=text] {<h2>_texticonhorg_</h2>}

#######################################################################
# https
#######################################################################

_httpiconhtitle_ {_httpimg_/h\_title.gif}
_widthhtitle_ {200}
_heighthtitle_ {57}

_httpiconhauth_ {_httpimg_/h\_auth.gif}
_widthhauth_ {200}
_heighthauth_ {57}

_httpiconhsubj_ {_httpimg_/h\_subj.gif}
_widthhsubj_ {200}
_heighthsubj_ {57}

_httpiconhser_ {_httpimg_/h\_ser.gif}
_httpiconhser_ [language=mi] {_httpimg_/mh\_ser.gif}
_widthhser_ {200}
_widthhser_ [language=mi] {310}
_heighthser_ {57}

_httpiconhdate_ {_httpimg_/h\_date.gif}
_httpiconhdate_ [language=mi] {_httpimg_/mh\_date.gif}
_widthhdate_ {200}
_heighthdate_ {57}

_httpiconhhow_ {_httpimg_/h\_how.gif}
_widthhhow_ {200}
_heighthhow_ {57}

_httpiconhorg_ {_httpimg_/h\_org.gif}
_widthhorg_ {250}
_heighthorg_ {57}


#######################################################################
# headers/footers
#######################################################################


# header overridden for text pages
_textheader_ {_cgihead_
_htmlhead_('background="_httpiconchalk_"')
}

_footer_ {
<p>
_navarrows_
<p>
<center><i>_linkotherversion_</i></center>
<center><i>_linkotherlanguage_</i></center>
</table>
_endspacer__htmlfooter_
}

_footer_[style=restrict] {
<p>
_navarrows_
_htmlfooter_
}

_footer_[style=htmlonly] {
<p>
_navarrows_
_endspacer__htmlfooter_
}


#######################################################################
# English language text macros
#######################################################################

_texticonhtitle_ {Titles A-Z}
_texticonhauth_ {Authors A-Z}
_texticonhsubj_ {Subjects}
_texticonhser_ {Series}
_texticonhdate_ {Dates}
_texticonhhow_ {How to}
_texticonhorg_ {Organizations}